AnsweredAssumed Answered

Can I Access a Face2 interface for an Independent Component on an AssemblyDoc?

Question asked by Edward Beaudry on Apr 19, 2019
Latest reply on Apr 19, 2019 by Artem Taturevych

Hi All,

 

I would like to find all the holes on a Component using a standalone application in C#.  To open the document, I used

 

            AssemblyDoc Part = (AssemblyDoc)swApp.OpenDoc6(fullFileName,
                (int)swDocumentTypes_e.swDocASSEMBLY,
                (int)swOpenDocOptions_e.swOpenDocOptions_Silent,
                "",
                ref longstatus,
                ref longwarnings);

but it looks like you can't use a PartDoc interface once a document is opened with the second param being (int)swDocumentTypes_e.swDocASSEMBLY.  If I make the Component independent by calling MakeIndependent() but save the component within the assembly, is there a way to use PartDoc to access the Face2 Interface from an AssemblyDoc?

 

Thank you

Outcomes